#include <yandex/maps/mrc/toloka_client/requester.h>
#include "requester_impl.h"

namespace maps {
namespace mrc {
namespace toloka {
namespace io {

MOVABLE_PIMPL_DEFINITIONS(RequesterName)

const std::string& RequesterName::EN() const
{
    return impl_->EN_;
}

const std::string& RequesterName::RU() const
{
    return impl_->RU_;
}


MOVABLE_PIMPL_DEFINITIONS(Requester)

const std::string& Requester::id() const { return impl_->id_; }

const RequesterName& Requester::publicName() const
{
    return impl_->publicName_;
}

double Requester::balance() const { return impl_->balance_; }

} // namespace io
} // namespace toloka
} // namespace mrc
} // namespace maps
